Permalink
Browse files

CMake: Check for required libtorrent version

  • Loading branch information...
glassez committed Jan 9, 2019
1 parent 302c99d commit 6d6af8e70d5c64bc6016ccd501c95265b3ab3db9
Showing with 2 additions and 1 deletion.
  1. +1 −0 CMakeLists.txt
  2. +1 −1 src/CMakeLists.txt
@@ -33,6 +33,7 @@ include(FeatureSummary)
set(requiredBoostVersion 1.35)
set(requiredQtVersion 5.5.1)
set(requiredOpensslVersion 1.0)
set(requiredLibtorrentVersion 1.1.10)

if(WIN32)
include(winconf)
@@ -15,7 +15,7 @@ qbt_set_compiler_options()
include(QbtTargetSources)

find_package(Boost ${requiredBoostVersion} REQUIRED)
find_package(LibtorrentRasterbar REQUIRED)
find_package(LibtorrentRasterbar ${requiredLibtorrentVersion} REQUIRED)
find_package(OpenSSL ${requiredOpensslVersion} REQUIRED)

if (Boost_VERSION VERSION_LESS 106000)

0 comments on commit 6d6af8e

Please sign in to comment.